import {
	ApiHttp
} from '@/utils/request.js'


// 查询系统配置列表
const configGet = (params) =>{
	return ApiHttp('/xinrenli/config/list',params,'GET')
}


// 新增用户反馈
const addUserFeedback = (params) => {
	return ApiHttp('/xinrenli/userFeedback', params, 'POST')
}
// 查询优惠卷列表
const couponListGet = (params) =>{
	return ApiHttp('/xinrenli/coupon/list',params,'GET')
}
// 用户优惠卷有效查询接口
const userCouponList = (params) => {
	return ApiHttp('/xinrenli/userCoupon/list',params,'GET')
}
// 用户优惠卷无效查询接口
const userCouponListLose = (params) => {
	return ApiHttp('/xinrenli/userCoupon/listLose',params,'GET')
}

// 查询邀请列表
const queryInviteListGet = (params) =>{
	return ApiHttp('/xinrenli/Inviter/list',params,'GET')
}
// 查询邀请列表
const addInviterPOST = (params) =>{
	return ApiHttp('/xinrenli/Inviter',params,'POST')
}
export {
	configGet,
	addUserFeedback,
	couponListGet,
	queryInviteListGet,
	addInviterPOST,
	userCouponList,
	userCouponListLose
}